/*
 * This file is generated by jOOQ.
 */
package nu.studer.sample.tables.pojos;


import java.io.Serializable;
import java.util.UUID;

import javax.annotation.processing.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.15.1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class PurposeCategories implements Serializable {

    private static final long serialVersionUID = 1L;

    private final UUID   uuid;
    private final String categoryName;

    public PurposeCategories(PurposeCategories value) {
        this.uuid = value.uuid;
        this.categoryName = value.categoryName;
    }

    public PurposeCategories(
        UUID   uuid,
        String categoryName
    ) {
        this.uuid = uuid;
        this.categoryName = categoryName;
    }

    /**
     * Getter for <code>selfbooster.purpose_categories.uuid</code>.
     */
    public UUID getUuid() {
        return this.uuid;
    }

    /**
     * Getter for <code>selfbooster.purpose_categories.category_name</code>.
     */
    public String getCategoryName() {
        return this.categoryName;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("PurposeCategories (");

        sb.append(uuid);
        sb.append(", ").append(categoryName);

        sb.append(")");
        return sb.toString();
    }
}
